import env
import spacetraders_sdk

pub fn main() -> Nil {
  let assert Ok(env.Env(agent_token:, ..)) = env.load_dotenv()
  let assert Ok(server_status) = spacetraders_sdk.get_server_status()
  echo server_status
  let assert Ok(account) = spacetraders_sdk.get_account(agent_token)
  echo account
  let assert Ok(agent) = spacetraders_sdk.get_agent(agent_token)
  echo agent
  Nil
}
